/*------------------------------------*\
    #MENU-SHARE
\*------------------------------------*/
/**
 * Social share menu component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-share,
%#{$inuit-namespace}menu-share {
    margin-bottom: $drk-base-unit;
}

.#{$inuit-namespace}menu-share__list,
%#{$inuit-namespace}menu-share__list {
    @extend %o-list-bare;
}

.#{$inuit-namespace}menu-share__item,
%#{$inuit-namespace}menu-share__item {
    @extend %o-icon-button;
    background-color: transparent;
    display: inline-block;
    height: .8 * $drk-base-unit;
    width: .8 * $drk-base-unit;
}

.#{$inuit-namespace}menu-share__link,
%#{$inuit-namespace}menu-share__link {
    background-color: $drk-color-btn;
    display: inline-block;
    height: .8 * $drk-base-unit;
    width: .8 * $drk-base-unit;
    transition: $inuit-base-transition-duration all ease;

    @include drk-hover {
        background-color: $drk-color-btn-hover;
    }
}

.#{$inuit-namespace}menu-share__icon,
%#{$inuit-namespace}menu-share__icon {
    fill: $drk-color-white;
}
